<?php

namespace app\api\controller\ContactUs;

use app\BaseController;
use app\common\model\ContactUs\ContactUs as ModelContactUs;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\exception\Tool;


class ContactUs extends BaseController
{
    /**
     * 获取联系我们内容
     */
    public function getContactUs(Request $request): array
    {
        $params = $request->param();

        $query = ModelContactUs::field([
            'contact_us_id',
            'contact_us_guid',
            'contact_us_address',
            'contact_us_phone',
            'contact_us_mail',
            'contact_us_mobile_phone'
        ])->where(1)->find();

        return [
            'code' => 0,
            'data' => $query,
            'msg' => 'ok'
        ];
    }
}
