<?php

namespace app\api\controller\LeaveMessage;

use app\BaseController;
use app\common\model\LeaveMessage\LeaveMessage as ModelLeaveMessage;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\arw\adjfut\src\Excel;
use app\common\arw\adjfut\src\UploadFile;
use think\facade\Db;
use app\common\exception\Tool;
use think\facade\Env;


class LeaveMessage extends BaseController
{
    /**
     * 添加留言
     */
    public function addLeaveMessage(Request $request): array
    {
        $params = $request->param();
        $this->validate($params, [
            'leave_message_name|姓名' => 'require',
            'leave_message_phone|电话' => 'require',
            'leave_message_email|邮箱' => 'require',
            'leave_message_info|信息' => 'require'
        ]);
        $model = ModelLeaveMessage::create($params, [
            'leave_message_name',
            'leave_message_phone',
            'leave_message_email',
            'leave_message_info',
            'leave_message_guid',
        ]);
        return msg('添加成功!');
    }
}
